%define debug_package %{nil}

Summary: Gtk3-based CDEmu client
Name: gcdemu
Version: 3.2.6
Release: 1%{?dist}
License: GPLv2
Group: Applications/System
URL: http://sourceforge.net/projects/cdemu
Source: http://downloads.sourceforge.net/cdemu/%{name}-%{version}.tar.xz

BuildArch: noarch

BuildRequires: cmake
BuildRequires: intltool

Requires: python3
Requires: python3-gobject
Requires: desktop-file-utils

Requires: gobject-introspection
Requires: gtk3
Requires: gdk-pixbuf2
Requires: libnotify

%description
gCDEmu is a Gtk3-based client for controlling CDEmu devices. It is part
of CDEmu, a CD/DVD-ROM device emulator for Linux.

%prep
%setup -q

%build
%cmake -DPOST_INSTALL_HOOKS=off
%cmake_build

%install
%cmake_install
%find_lang gcdemu

%post
/usr/bin/update-desktop-database &> /dev/null || :

%postun
/usr/bin/update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files -f gcdemu.lang
%defattr(-, root, root, -)
%doc AUTHORS COPYING README ChangeLog
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/glib-2.0/schemas/*

%changelog
* Sat Oct 23 2021 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.6-1
- Updated to 3.2.6

* Sun Apr 18 2021 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.5-1
- Updated to 3.2.5

* Fri Sep 25 2020 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.4-2
- Use CMake build and install macros to properly support out-of-source builds on Fedora 33

* Mon Jan  6 2020 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.4-1
- Updated to 3.2.4

* Tue Nov  5 2019 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.3-2
- Rebuild for Fedora 31

* Sat Aug 31 2019 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.3-1
- Updated to 3.2.3

* Tue Aug 27 2019 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.2-1
- Updated to 3.2.2

* Sat Mar  2 2019 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.1-1
- Updated to 3.2.1

* Sat Jul  7 2018 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.0-1
- Updated to 3.2.0
- Updated dependencies due to switch to python3
- Added dependencies that are imported via GIR

* Sat Jun 10 2017 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.1.0-1
- Updated to 3.1.0

* Tue Oct 11 2016 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.0.3-1
- Updated to 3.0.3

* Sun Oct  9 2016 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.0.2-1
- Updated to 3.0.2

* Sat Apr 23 2016 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.0.1-4
- Fixed rpmlint errors and warnings
- Added desktop-file-utils dependency

* Thu Apr 21 2016 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.0.1-3
- Added python2-devel as build dependency, to satisfy CMake check
- Dropped glib2 explicit dependency
- Use noarch

* Thu Apr 21 2016 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.0.1-2
- Changed python dependency to python2

* Sat Nov 21 2015 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.0.1-1
- Updated to 3.0.1

* Sun Jun 29 2014 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.0.0-1
- Updated to 3.0.0

* Thu Sep 19 2013 Rok Mandeljc <rok.mandeljc@gmail.com> - 2.1.1-1
- Updated to 2.1.1

* Fri Jun  7 2013 Rok Mandeljc <rok.mandeljc@gmail.com> - 2.1.0-1
- Updated to 2.1.0

* Mon Dec 24 2012 Rok Mandeljc <rok.mandeljc@gmail.com> - 2.0.0-1
- RPM release for new version
